Subject: Re: linux-next: duplicate patches in the kvm-x86 tree

From: Marc Zyngier <[email-masked]>
Date: Tue, 24 Jan 2023 08:46:57 +0000

Hi Stephen,

On Tue, 24 Jan 2023 01:55:15 +0000,
Stephen Rothwell <[email-masked]> wrote:
> 
> Hi all,
> 
> The following commits are also in other tree(s?) as different
> commits (but the same patches):
> 
>   0b6639e8ed87 ("KVM: s390: Move hardware setup/unsetup to init/exit")
>   0c2be59e0b53 ("KVM: x86: Use KBUILD_MODNAME to specify vendor module name")
>   1334f214d19f ("KVM: s390: Unwind kvm_arch_init() piece-by-piece() if a step fails")

[...]

> I guess someone has rebased one of the kvm trees and it had already been
> merged into another (like the kvm or kvm-arm trees).

Huh, that's worrying. I'm carrying the kvm-hw-enable-refactor branch
from the KVM tree, which I understood to be a stable branch[1], and
which I merged to avoid conflicts to be propagated everywhere.

Paolo, Sean: what is the *real* status of this branch?

	M.

[1] https://lore.kernel.org/r/[email-masked]

-- 
Without deviation from the norm, progress is not possible.